Loading...
Searching...
No Matches
mpsk_snr_est.h File Reference
`#include <gnuradio/digital/api.h>`
`#include <gnuradio/gr_complex.h>`
Include dependency graph for mpsk_snr_est.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::digital::mpsk_snr_est
| A parent class for SNR estimators, specifically for M-PSK signals in AWGN channels. More...
class | gr::digital::mpsk_snr_est_simple
| SNR Estimator using simple mean/variance estimates. More...
class | gr::digital::mpsk_snr_est_skew
| SNR Estimator using skewness correction. More...
class | gr::digital::mpsk_snr_est_m2m4
| SNR Estimator using 2nd and 4th-order moments. More...
class | gr::digital::snr_est_m2m4
| SNR Estimator using 2nd and 4th-order moments. More...
class | gr::digital::mpsk_snr_est_svr
| Signal-to-Variation Ratio SNR Estimator. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::digital

## Enumerations

enum | gr::digital::snr_est_type_t { gr::digital::SNR_EST_SIMPLE = 0 , gr::digital::SNR_EST_SKEW , gr::digital::SNR_EST_M2M4 , gr::digital::SNR_EST_SVR }
| A block for computing SNR of a signal. More...